<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class CmsBannerButtonTypeEnum
{
    public const TYPE_OUTLINE_BLACK = 'outline_black';
    public const TYPE_OUTLINE_WHITE = 'outline_white';
    public const TYPE_BLACK = 'black';
    public const TYPE_WHITE = 'white';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::TYPE_OUTLINE_BLACK,
            self::TYPE_OUTLINE_WHITE,
            self::TYPE_BLACK,
            self::TYPE_WHITE,
        ];
    }
}
